Bug 149966 - Wish: Alternative IPTC Keyword Separator (dot notation)
Summary: Wish: Alternative IPTC Keyword Separator (dot notation)
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Metadata-Iptc (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-09-18 11:15 UTC by Jan Ott
Modified: 2017-08-13 07:31 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 0.10.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Ott 2007-09-18 11:15:30 UTC
Version:            (using KDE KDE 3.5.4)
Installed from:    Ubuntu Packages
OS:                Linux

As I understand, Digikam 0.9.x uses a slash (/) as a separator in hierarchical IPTC keywords like food/fruit/banana. Other programs like IMatch (http://www.photools.com/) or Mapivi (http://mapivi.sourceforge.net/) use a dot notation instead like food.fruit.banana.
When reading IPTC keywords that have been generated by these programs, digikam does not recognise the hierarchical structure. This - to my opinion - is a considerable obstacle for people who think about migrating to digikam after having tagged a large number of pictures with one of the aforementioned programs.
Could it be possible to add import and export functionality for dot notation in hierarchical IPTC keywords, or, even better, an to add an option to configure digikam in a way that it generally use a dot instead of a slash as keyword seperator itself?
Comment 1 Mikolaj Machowski 2007-10-02 17:04:04 UTC
But how they make difference between dot in tag  name and dot separator?
Comment 2 caulier.gilles 2007-10-02 18:11:27 UTC
Totally agree with Mik. dot do not be used as separator.

In fact i will close this file when i will commit my by patch on my computer about to handle Xmp metadata everywhere in digiKam for KDE4 (not KDE3 : nothing is changed)

A digiKam Xmp namespace wil lbe used to store Tags Path list in an Xmp structure. We will not use separator (thanks to xml (:=)))

Iptc keywords will not be used to store the Tags Path list, but only the Tags Name. 

Of course in charge to mapivi and photools to support Xmp and to be able to import digiKam namespace... But this is not the problem of digiKam project to support commercial applications. The interoperability is provided by the great Xmp framework, that all...

Gilles
Comment 3 caulier.gilles 2007-10-03 12:27:43 UTC
SVN commit 720609 by cgilles:

digiKam from trunk (KDE4) : XMP metadata management with database.

This is the first stage to control XMP metadata contents with Database contents and vis versa. This code handle XMP with current Database schema witch still the same than 0.9.x.

Marcel work currently on the new databse schema describe on the OpenOffice document available at this url :

http://websvn.kde.org/trunk/extragear/graphics/digikam/DBSCHEMA.ODS?view=log

The code will be adapted later by Marcel to handle more XMP tags according with this new schema.

This is the list of current changes :

- Preparing code to handle strings hosted in different languages (comments for example, dixit B.K.O #98462).
- Handle all Xmp.exif and Xmp.tiff tags has Exif metadata content to get photo informations set by camera.
- Do not set Iptc.Urgency tag with Rating value, but use standard Xmp.Rating tags instead. Import of Iptc.Urgency 
as Rating still running if Xmp metadata are not available. (B.K.O: 134206).
- Preparing code to handle Xmp strings set different authors(comments for example, dixit B.K.O #134476).
- Set the Tags name as Xmp.subject (keywords).
- Set the Copyright/Authors information in Xmp tags (schema inspired from Adobe Photoshop 7.0).
- Store Tags Path List into a dedicaced digiKam.org Xmp namespace as a sequence of strings. Do not use Iptc.Keywords for that. Import from Iptc still running if Xmp metadata is not available. This way is very important to restore properlly in database all tags assigned to an imported picture. There is not strings size limitation with Xmp and char encoding is always UTF-8. Nothing will be lost now.
- Xmp is always stored in pictures format witch support this metadata format : jpeg, png, and tiff.

All these changes require to update libkexiv2 and Exiv2 from trunk to compile and run digiKam properlly.

CCMAIL: digikam-devel@kde.org
CCMAIL: marcel.wiesweg@gmx.de

BUG: 134206
BUG: 149966

CCBUGS: 98462
CCBUGS: 132362
CCBUGS: 91811
CCBUGS: 134476
CCBUGS: 136260
CCBUGS: 146714




 M  +59 -44    digikam/metadatahub.cpp  
 M  +1 -1      libs/database/collectionscanner.cpp  
 M  +127 -71   libs/dmetadata/dmetadata.cpp  
 M  +5 -4      libs/dmetadata/dmetadata.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=720609